Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionDockWindow Class Reference

The QStyleOptionDockWindow class is used to describe the parameters for drawing a dock window. More...

    #include <QStyleOptionDockWindow>

Inherits QStyleOption.

- List of all members, including inherited members

### Read-Only Properties

- closable : bool
- floatable : bool
- moveable : bool
- title : QString

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionDockWindow ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionDockWindow class is used to describe the parameters for drawing a dock window.

## Property Documentation

### closable : bool

This property holds indicates that the dock window is closable.

### floatable : bool

This property holds indicates that the dock window is floatable.

### moveable : bool

This property holds indicates that the dock window is moveable.

### title : QString

This property holds the title of the dock window.

## Member Function Documentation

### QStyleOptionDockWindow::QStyleOptionDockWindow ()

Constructs a QStyleOptionDockWindow. The member variables are initialized to default values.